[Testing Update i686] 2019-06-01 to 06 - Kernels, Octopi, Chromium, curl, gparted

Updates of note are kernels, Octopi, curl, gnutls, Chromium, gparted.


Available kernels

Series Version PAE
linux316 3.16.68 No
linux318 3.18.140 EOL No
linux44 4.4.180 No
linux49 4.9.180 No
linux414 4.14.123 No
linux419 4.19.48 Yes

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the "is it ready yet?" poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters

Known issues


signature from "Erich Eckner (just to sign arch packages) <arch@eckner.net>" is marginal trust

sudo pacman -U /var/cache/pacman/pkg/archlinux32-keyring-20190108-1.0-any.pkg.tar.xz

Known to-do

First batch.

Watch out for 4.19 again - let me know if it doesn't boot.

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux414           4.14.122-1           4.14.123-1
                    linux414-headers           4.14.122-1           4.14.123-1
                            linux419          4.19.46-1.0            4.19.47-1
                    linux419-headers          4.19.46-1.0            4.19.47-1
                             linux49            4.9.179-1            4.9.180-1
                     linux49-headers            4.9.179-1            4.9.180-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                curl           7.64.1-2.1           7.65.0-2.0
                           e2fsprogs           1.45.1-1.0           1.45.2-1.0
                                file             5.37-1.0             5.37-2.0
                               gnupg           2.2.15-1.0           2.2.16-1.0
                              gnutls            3.6.7-1.0            3.6.8-1.0
                         openssl-1.0          1.0.2.r-1.2          1.0.2.s-1.0
                             openssl          1.1.1.b-1.1          1.1.1.c-1.0
             thin-provisioning-tools            0.8.1-1.0            0.8.3-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  linux414-acpi_call            1.1.0-122            1.1.0-123
                   linux414-bbswitch              0.8-122              0.8-123
                linux414-broadcom-wl     6.30.223.271-122     6.30.223.271-123
                linux414-ndiswrapper             1.61-122             1.61-123
               linux414-nvidia-340xx          340.107-122          340.107-123
               linux414-nvidia-390xx          390.116-122          390.116-123
                      linux414-r8168         8.047.01-122         8.047.01-123
                  linux414-rt3562sta       2.4.1.1_r4-122       2.4.1.1_r4-123
                   linux414-tp_smapi             0.41-122             0.41-123
                linux414-vhba-module         20190410-122         20190410-123
   linux414-virtualbox-guest-modules            6.0.8-122            6.0.8-123
    linux414-virtualbox-host-modules            6.0.8-122            6.0.8-123
                  linux419-acpi_call           1.1.0-46.0             1.1.0-47
                   linux419-bbswitch             0.8-46.0               0.8-47
                linux419-broadcom-wl    6.30.223.271-46.0      6.30.223.271-47
                linux419-ndiswrapper            1.61-46.0              1.61-47
               linux419-nvidia-340xx         340.107-46.0           340.107-47
               linux419-nvidia-390xx         390.116-46.0           390.116-47
                   linux419-nvidiabl            0.88-46.0              0.88-47
                      linux419-r8168        8.047.01-46.0          8.047.01-47
                   linux419-tp_smapi            0.41-46.0              0.41-47
                linux419-vhba-module        20190410-46.0          20190410-47
   linux419-virtualbox-guest-modules           6.0.8-46.0             6.0.8-47
    linux419-virtualbox-host-modules           6.0.8-46.0             6.0.8-47
                        linux419-zfs           0.8.0-46.0             0.8.0-47
                   linux49-acpi_call            1.1.0-179            1.1.0-180
                    linux49-bbswitch              0.8-179              0.8-180
                 linux49-broadcom-wl     6.30.223.271-179     6.30.223.271-180
                    linux49-catalyst    1:15.201.1151-179    1:15.201.1151-180
                 linux49-ndiswrapper             1.61-179             1.61-180
                linux49-nvidia-340xx          340.107-179          340.107-180
                linux49-nvidia-390xx          390.116-179          390.116-180
                       linux49-r8168         8.047.01-179         8.047.01-180
                   linux49-rt3562sta       2.4.1.1_r4-179       2.4.1.1_r4-180
                    linux49-tp_smapi             0.41-179             0.41-180
                 linux49-vhba-module         20161009-179         20190410-180
    linux49-virtualbox-guest-modules            6.0.8-179            6.0.8-180
     linux49-virtualbox-host-modules            6.0.8-179            6.0.8-180
                         linux49-zfs            0.8.0-179            0.8.0-180


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              bigloo             4.3a-3.1             4.3e-1.0
                            chromium    74.0.3729.157-1.0    74.0.3729.169-2.0
                               cmake           3.14.4-1.0           3.14.5-1.0
                         egl-wayland            1.1.2-1.0            1.1.3-1.0
                              ffcall             1.13-3.0              2.1-1.0
                             geoclue            2.5.3-1.0            2.5.3-2.0
                             glslang        7.11.3188-1.1        7.11.3214-1.0
                             gnuplot            5.2.6-2.2            5.2.7-1.0
                             gparted           0.33.0-1.1            1.0.0-1.0
                           gstreamer           1.16.0-1.1           1.16.0-2.0
                            harfbuzz            2.5.0-1.0            2.5.1-1.0
                        harfbuzz-icu            2.5.0-1.0            2.5.1-1.0
                         imagemagick         7.0.8.46-1.0         7.0.8.47-1.0
                     imagemagick-doc         7.0.8.46-1.0         7.0.8.47-1.0
                              kismet       2016_07_R1-2.0       2019_05_R2-1.0
                             libebml            1.3.8-1.0            1.3.9-1.0
                         libmatroska            1.5.1-1.0            1.5.2-1.0
                              libnma1.8.21dev+3+gb4c365b1-1.0           1.8.22-1.0
                      libphonenumber           8.10.6-2.0          8.10.13-1.0
                        libqalculate            3.1.0-1.1            3.2.0-1.0
                             libraqm            0.6.0-1.0            0.7.0-1.0
                            libshout          1:2.4.1-4.0          1:2.4.2-1.0
                             libsoup           2.66.2-1.02.66.2+4+g716acf96-1.0
                            lighttpd           1.4.53-1.1           1.4.54-1.0
                             mariadb          10.3.15-1.1          10.3.15-1.2
                     mariadb-clients          10.3.15-1.1          10.3.15-1.2
                        mariadb-libs          10.3.15-1.1          10.3.15-1.2
                              maxima           5.42.2-2.0           5.43.0-1.0
                               mytop          10.3.15-1.1          10.3.15-1.2
              network-manager-applet1.8.21dev+3+gb4c365b1-1.0           1.8.22-1.0
                nm-connection-editor1.8.21dev+3+gb4c365b1-1.0           1.8.22-1.0
                                 php            7.3.5-1.1            7.3.6-1.0
                          php-apache            7.3.5-1.1            7.3.6-1.0
                             php-cgi            7.3.5-1.1            7.3.6-1.0
                           php-dblib            7.3.5-1.1            7.3.6-1.0
                           php-embed            7.3.5-1.1            7.3.6-1.0
                         php-enchant            7.3.5-1.1            7.3.6-1.0
                             php-fpm            7.3.5-1.1            7.3.6-1.0
                              php-gd            7.3.5-1.1            7.3.6-1.0
                            php-imap            7.3.5-1.1            7.3.6-1.0
                            php-intl            7.3.5-1.1            7.3.6-1.0
                            php-odbc            7.3.5-1.1            7.3.6-1.0
                           php-pgsql            7.3.5-1.1            7.3.6-1.0
                          php-phpdbg            7.3.5-1.1            7.3.6-1.0
                          php-pspell            7.3.5-1.1            7.3.6-1.0
                            php-snmp            7.3.5-1.1            7.3.6-1.0
                          php-sodium            7.3.5-1.1            7.3.6-1.0
                          php-sqlite            7.3.5-1.1            7.3.6-1.0
                            php-tidy            7.3.5-1.1            7.3.6-1.0
                             php-xsl            7.3.5-1.1            7.3.6-1.0
                            pipewire0.2.5+3+g371da358-1.0            0.2.6-1.0
                        python-numpy           1.16.3-1.0           1.16.4-1.0
                       python2-numpy           1.16.3-1.0           1.16.4-1.0
                       qalculate-gtk            3.1.0-1.0            3.2.0-1.0
                   vulkan-icd-loader          1.1.107-1.0          1.1.108-1.0
                            wxmaxima          19.04.1-1.0          19.05.7-1.0
                      xfce4-settings           4.12.4-1.2           4.12.4-2.0
                         xorg-server           1.20.4-1.1           1.20.5-1.0
                  xorg-server-common           1.20.4-1.1           1.20.5-1.0
                   xorg-server-devel           1.20.4-1.1           1.20.5-1.0
                    xorg-server-xdmx           1.20.4-1.1           1.20.5-1.0
                  xorg-server-xephyr           1.20.4-1.1           1.20.5-1.0
                   xorg-server-xnest           1.20.4-1.1           1.20.5-1.0
                    xorg-server-xvfb           1.20.4-1.1           1.20.5-1.0
                xorg-server-xwayland           1.20.4-1.1           1.20.5-1.0
                           xournalpp           1.0.10-1.0           1.0.12-1.0
                               xterm              345-1.0              346-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               brave            0.64.74-1           0.65.114-1
                       bspwm-manjaro              0.9.7-1              0.9.7-5
              manjaro-theme-settings           20181216-1           20190601-1
                          mate-tweak            18.10.2-1            19.10.0-1
                       micro-manjaro              1.4.0-8              1.4.1-1
                              octopi             0.8.13-1              0.9.0-7
                 octopi-cachecleaner             0.8.13-1              0.9.0-7
          octopi-notifier-frameworks             0.8.13-1              0.9.0-7
                 octopi-notifier-qt5             0.8.13-1              0.9.0-7
                 octopi-pacmanhelper             0.8.13-1              0.9.0-7
                   octopi-repoeditor             0.8.13-1              0.9.0-7


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-217.0          1.1.0-219.0
                           argyllcms            2.1.0-1.2            2.1.1-1.0
                         broadcom-wl   6.30.223.271-104.0   6.30.223.271-106.0
                             calibre           3.42.0-1.0           3.44.0-1.0
                             cantata            2.3.3-1.1            2.3.3-2.0
                               cmucl              21c-1.0              21d-1.0
                              conmon 1.13.0+9+8fba206-2.0          1:0.2.0-1.0
                                 coq            8.9.0-1.1            8.9.1-1.0
                             coq-doc            8.9.0-1.1            8.9.1-1.0
                              coqide            8.9.0-1.1            8.9.1-1.0
                          cozy-stack          1:1.2.6-1.0          1:1.2.7-1.0
                              cython           0.29.7-1.1           0.29.9-1.0
                             cython2           0.29.7-1.1           0.29.9-1.0
                   deepin-boot-maker         2.0.4.11-1.0         2.0.4.12-1.0
                     deepin-calendar            1.2.7-1.0            1.2.8-1.0
                        deepin-music         3.1.17.1-1.0           3.1.18-1.0
                 deepin-polkit-agent            0.2.6-1.0            0.2.8-1.0
              deepin-qt-dbus-factory            1.1.2-1.0            1.1.4-1.0
               deepin-qt5dxcb-plugin            1.2.1-1.0            1.2.2-1.0
                   deepin-screenshot            4.2.0-1.0            4.2.1-1.0
                     deepin-terminal            3.2.4-1.0            3.2.5-1.0
               deepin-voice-recorder            1.4.0-1.0            1.4.1-1.0
                          displaycal          3.8.0.0-1.0          3.8.1.0-1.0
                                dune            1.9.3-1.0           1.10.0-1.0
                            ejabberd            19.02-1.1            19.05-1.0
                               gitea            1.8.1-1.0            1.8.2-1.0
                           glbinding            3.1.0-2.0            3.1.0-3.0
                        herbstluftwm            0.7.1-1.2            0.7.2-1.0
                           highlight             3.51-1.0             3.52-1.0
                       highlight-gui             3.51-1.0             3.52-1.0
                      ibus-libpinyin           1.11.0-1.0           1.11.1-1.0
                               isync            1.3.0-2.2            1.3.1-1.0
                           keepassxc            2.4.1-2.0            2.4.2-1.0
                               kitty           0.14.0-1.0           0.14.1-1.0
                              lhapdf            6.2.1-4.2            6.2.3-2.0
                    libcontentaction           0.3.10-1.0           0.3.11-1.0
                      libcurl-compat           7.64.1-1.1           7.65.0-2.0
                      libcurl-gnutls           7.64.1-1.0           7.65.0-2.0
                             libgiac         1.5.0.53-1.0         1.5.0.57-1.0
                             libmgba            0.7.1-1.0            0.7.2-1.0
                             libnewt          0.52.20-2.7          0.52.21-1.0
                           libsodium           1.0.17-1.0           1.0.18-1.0
                             libxmlb            0.1.9-1.0           0.1.10-1.0
                                mame            0.209-1.0            0.210-1.0
                          maxima-ecl           5.42.2-1.0           5.43.0-2.0
                             mgba-qt            0.7.1-1.0            0.7.2-1.0
                            mgba-sdl            0.7.1-1.0            0.7.2-1.0
                               minio       2019.05.14-1.0       2019.05.23-1.0
                              mumble         1.3.0rc1-2.0         1.3.0rc1-3.0
                              murmur         1.3.0rc1-3.0         1.3.0rc1-4.0
                              neovim            0.3.5-1.0            0.3.7-1.0
                network-manager-sstp            1.2.6-1.0            1.2.6-2.0
                                 nnn              2.4-1.0              2.5-1.0
                  nodejs-lts-dubnium          10.15.3-2.0          10.16.0-1.0
                              packer            1.4.0-1.0            1.4.1-1.0
                        pulseeffects            4.6.1-1.0            4.6.2-1.0
                       python-grpcio           1.21.0-1.0           1.21.1-1.0
                 python-pycryptodome            3.8.1-1.0            3.8.2-1.0
                     python-pytables            3.5.1-1.1            3.5.2-1.0
                        python-scipy            1.2.1-1.2            1.3.0-1.0
                   python-sqlalchemy            1.3.3-1.1            1.3.4-1.0
                      python-tornado            5.1.1-1.5            5.1.1-1.6
                python2-pycryptodome            3.8.1-1.0            3.8.2-1.0
                    python2-pytables            3.5.1-1.1            3.5.2-1.0
                       python2-scipy            1.2.1-1.2            1.2.1-2.0
                  python2-sqlalchemy            1.3.3-1.1            1.3.4-1.0
                     python2-tornado            5.1.1-1.5            5.1.1-1.6
                            qtractor            0.9.7-1.0            0.9.8-1.0
                            rdesktop            1.8.4-1.1            1.8.5-1.0
                              recoll          1.25.15-1.0          1.25.16-1.0
                          rust-racer           2.1.16-1.0           2.1.22-1.0
                            tpm2-tss            2.2.2-1.0            2.2.3-1.0
                              waybar            0.6.6-1.0            0.6.7-1.0
                      wireguard-dkms     0.0.20190406-1.0     0.0.20190531-1.0
                     wireguard-tools     0.0.20190406-1.0     0.0.20190531-1.0
                                xcas         1.5.0.53-1.0         1.5.0.57-1.0
                             yoshimi         1.5.11.1-1.0         1.5.11.4-1.0
                              fcitx5                    -   0.0.0.20181128-1.0
               fcitx5-chinese-addons                    -   0.0.0.20181104-1.0
                          fcitx5-gtk                    -   0.0.0.20180920-1.0
                           fcitx5-qt                    -   0.0.0.20181104-1.0
            kodi-addon-game-libretro                    -            1.1.0-5.0
 kodi-addon-game-libretro-beetle-psx                    -         0.9.44.7-5.0
   kodi-addon-game-libretro-gambatte                    -          0.5.0.5-5.0
    kodi-addon-game-libretro-melonds                    -          0.6.0.2-5.0
       kodi-addon-game-libretro-mgba                    -          0.7.0.5-5.0
   kodi-addon-game-libretro-nestopia                    -         1.50.0.3-5.0
    kodi-addon-game-libretro-reicast                    -         0.1.0.11-5.0
    kodi-addon-game-libretro-scummvm                    -          2.0.0.4-5.0
     kodi-addon-game-libretro-snes9x                    -         1.58.0.6-5.0
    kodi-addon-game-libretro-yabause                    -         0.9.14.1-5.0
                              libime                    -   0.0.0.20180817-1.0
                          xcb-imdkit                    -   0.0.0.20171205-1.0

I must have missed an update, pamac downloaded over 600MB. Anyway, 4.19 did not boot, but 4.14 did. Old inxi for Baytrail UEFI32...

From journalctl (for 4.19)

Jun 01 13:36:37 LapLet kernel: dw_dmac INTL9C60:01: Missing DT data
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07103s: object CsmAutostartApp 0x1181ba8 finalized while still in-construction
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07108s: Custom constructor for class CsmAutostartApp returned NULL (which is invalid). Please use GInitable instead.
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07193s: object CsmAutostartApp 0x1181c28 finalized while still in-construction
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07199s: Custom constructor for class CsmAutostartApp returned NULL (which is invalid). Please use GInitable instead.
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07283s: object CsmAutostartApp 0x1181ca8 finalized while still in-construction
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07287s: Custom constructor for class CsmAutostartApp returned NULL (which is invalid). Please use GInitable instead.
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07372s: object CsmAutostartApp 0x1181d28 finalized while still in-construction
Jun 01 13:36:43 LapLet cinnamon-session[558]: GLib-GObject-CRITICAL: t+0.07376s: Custom constructor for class CsmAutostartApp returned NULL (which is invalid). Please use GInitable instead.
Jun 01 13:51:33 LapLet cinnamon-session[558]: GLib-GIO-CRITICAL: t+890.65547s: g_dbus_connection_call_sync_internal: assertion 'G_IS_DBUS_CONNECTION (connection)' failed
Jun 01 13:51:34 LapLet kernel: watchdog: watchdog0: watchdog did not stop!

What I see is a black screen with the Manjaro logo at the bottom right. I can't get to a TTY from that black screen or from the grub menu by editing the grub command line with '3'. I needed a hard reset to recover. ( "Missing DT data" is just a warning.)

4.19 seems to be the only issue I've found, the other updates haven't caused me any problems, so far.

1 Like

I'll look again at the BFQ patches and do a rebuild.

Edit:

Give this a go:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux419            4.19.47-1            4.19.47-2
                    linux419-headers            4.19.47-1            4.19.47-2
1 Like

4.19.47-2 now boots but I am getting a vbox related systemd-modules-load error, which I don't get with 4.14.

manjaro-32 systemd-modules-load[201]: Failed to insert module 'vboxsf' : Exec format error
manjaro-32 systemd-modules-load[201]: Failed to insert module 'vboxsf' : Exec format error
manjaro-32 systemd-modules-load[201]: Failed to insert module 'vboxsf' : Exec format error
manjaro-32 systemd-modules-load[201]: Failed to insert module 'vboxsf' : Exec format error
manjaro-32 systemd[1]: Failed to start Load Kernel Modules.
1 Like

The kernel 4.19.47-2 rebuild needs also a rebuild of the nvidia-340 driver. I had a black until my own rebuild of the nvidia module. With the rebuilt nvidia module everything works as usual.

Regarding the BFQ scheduler:
I tried to activate BFQ again after a couple of months. It seems the kernel panics I experienced regularly before are gone with the newer 4.19 kernels.

1 Like

Hmm. I don't know why removing the "Manjaro BFQ" patch means every extramodule needs rebuilding...

I'm building another test kernel with a re-merged config (but retaining the BFQ and Aufs4 patches) to see if there was something missing. If that works in my VM I'll push it to the repos. If not I'll rebuild the extramodules.

@jonathon
The error message shown was:
nvidia: disagrees about version of symbol module_layout

I had similar error messages a couple of times last year until you started rebuilding the nvidia driver against every new kernel build.

Yes, I'm currently rebuilding modules.

It's definitely the BFQ patch "at fault".

Here we go:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  linux419-acpi_call             1.1.0-47           1.1.0-47.0
                   linux419-bbswitch               0.8-47             0.8-47.0
                linux419-broadcom-wl      6.30.223.271-47    6.30.223.271-47.0
                linux419-ndiswrapper              1.61-47            1.61-47.0
               linux419-nvidia-340xx           340.107-47         340.107-47.0
               linux419-nvidia-390xx           390.116-47         390.116-47.0
                   linux419-nvidiabl              0.88-47            0.88-47.0
                      linux419-r8168          8.047.01-47        8.047.01-47.0
                   linux419-tp_smapi              0.41-47            0.41-47.0
                linux419-vhba-module          20190410-47        20190410-47.0
   linux419-virtualbox-guest-modules             6.0.8-47           6.0.8-47.0
    linux419-virtualbox-host-modules             6.0.8-47           6.0.8-47.0
                        linux419-zfs             0.8.0-47           0.8.0-47.0
1 Like

The 4.19.47-2 rebuild boots now, Thank You!

1 Like

nvidia-340 works after the rebuild. Thanks.

Some signature troubles:

error: curl: signature from "Erich Eckner (just to sign arch packages) <arch@eckner.net>" is marginal trust
:: File /var/cache/pacman/pkg/curl-7.65.0-2.0-i686.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y

And its the same for these packages:

curl-7.65.0-2.0-i686                  
openssl-1.0-1.0.2.s-1.0-i686          
thin-provisioning-tools-0.8.3-1.0-i686
libsoup-2.66.2+4+g716acf96-1.0-i686   
geoclue-2.5.3-2.0-i686                
glslang-7.11.3214-1.0-i686            
harfbuzz-2.5.1-1.0-i686               
harfbuzz-icu-2.5.1-1.0-i686           
libraqm-0.7.0-1.0-i686                
imagemagick-7.0.8.47-1.0-i686         
libnma-1.8.22-1.0-i686                
libqalculate-3.2.0-1.0-i686           
libshout-1:2.4.2-1.0-i686             
nm-connection-editor-1.8.22-1.0-i686  
xterm-346-1.0-i686                    
pipewire-0.2.6-1.0-i686               
python2-numpy-1.16.4-1.0-i686         
keepassxc-2.4.2-1.0-i686
sudo pacman -U /var/cache/pacman/pkg/archlinux32-keyring-20190108-1.0-any.pkg.tar.xz

Hi, this method worked:

sudo pacman-key --init 
sudo pacman-key --populate archlinux32 manjaro 
sudo pacman-key --refresh-keys
1 Like

Yup. Reinstalling the package will populate and trigger a refresh of the keys, so manually populating and refreshing the keys will also work.

I don't know why but I have to do CTRL ALT F2 every time when I reboot

Firefox 67.0.1:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             firefox               67.0-0           67.0.1-0.1
                    firefox-i18n-ach               67.0-0             67.0.1-0
                     firefox-i18n-af               67.0-0             67.0.1-0
                     firefox-i18n-an               67.0-0             67.0.1-0
                     firefox-i18n-ar               67.0-0             67.0.1-0
                     firefox-i18n-as               67.0-0             67.0.1-0
                    firefox-i18n-ast               67.0-0             67.0.1-0
                     firefox-i18n-az               67.0-0             67.0.1-0
                     firefox-i18n-be               67.0-0             67.0.1-0
                     firefox-i18n-bg               67.0-0             67.0.1-0
                  firefox-i18n-bn-bd               67.0-0             67.0.1-0
                  firefox-i18n-bn-in               67.0-0             67.0.1-0
                     firefox-i18n-br               67.0-0             67.0.1-0
                     firefox-i18n-bs               67.0-0             67.0.1-0
                     firefox-i18n-ca               67.0-0             67.0.1-0
                    firefox-i18n-cak               67.0-0             67.0.1-0
                     firefox-i18n-cs               67.0-0             67.0.1-0
                     firefox-i18n-cy               67.0-0             67.0.1-0
                     firefox-i18n-da               67.0-0             67.0.1-0
                     firefox-i18n-de               67.0-0             67.0.1-0
                    firefox-i18n-dsb               67.0-0             67.0.1-0
                     firefox-i18n-el               67.0-0             67.0.1-0
                  firefox-i18n-en-ca               67.0-0             67.0.1-0
                  firefox-i18n-en-gb               67.0-0             67.0.1-0
                  firefox-i18n-en-us               67.0-0             67.0.1-0
                  firefox-i18n-en-za               67.0-0             67.0.1-0
                     firefox-i18n-eo               67.0-0             67.0.1-0
                  firefox-i18n-es-ar               67.0-0             67.0.1-0
                  firefox-i18n-es-cl               67.0-0             67.0.1-0
                  firefox-i18n-es-es               67.0-0             67.0.1-0
                  firefox-i18n-es-mx               67.0-0             67.0.1-0
                     firefox-i18n-et               67.0-0             67.0.1-0
                     firefox-i18n-eu               67.0-0             67.0.1-0
                     firefox-i18n-fa               67.0-0             67.0.1-0
                     firefox-i18n-ff               67.0-0             67.0.1-0
                     firefox-i18n-fi               67.0-0             67.0.1-0
                     firefox-i18n-fr               67.0-0             67.0.1-0
                  firefox-i18n-fy-nl               67.0-0             67.0.1-0
                  firefox-i18n-ga-ie               67.0-0             67.0.1-0
                     firefox-i18n-gd               67.0-0             67.0.1-0
                     firefox-i18n-gl               67.0-0             67.0.1-0
                     firefox-i18n-gn               67.0-0             67.0.1-0
                  firefox-i18n-gu-in               67.0-0             67.0.1-0
                     firefox-i18n-he               67.0-0             67.0.1-0
                  firefox-i18n-hi-in               67.0-0             67.0.1-0
                     firefox-i18n-hr               67.0-0             67.0.1-0
                    firefox-i18n-hsb               67.0-0             67.0.1-0
                     firefox-i18n-hu               67.0-0             67.0.1-0
                  firefox-i18n-hy-am               67.0-0             67.0.1-0
                     firefox-i18n-ia               67.0-0             67.0.1-0
                     firefox-i18n-id               67.0-0             67.0.1-0
                     firefox-i18n-is               67.0-0             67.0.1-0
                     firefox-i18n-it               67.0-0             67.0.1-0
                     firefox-i18n-ja               67.0-0             67.0.1-0
                     firefox-i18n-ka               67.0-0             67.0.1-0
                    firefox-i18n-kab               67.0-0             67.0.1-0
                     firefox-i18n-kk               67.0-0             67.0.1-0
                     firefox-i18n-km               67.0-0             67.0.1-0
                     firefox-i18n-kn               67.0-0             67.0.1-0
                     firefox-i18n-ko               67.0-0             67.0.1-0
                    firefox-i18n-lij               67.0-0             67.0.1-0
                     firefox-i18n-lt               67.0-0             67.0.1-0
                     firefox-i18n-lv               67.0-0             67.0.1-0
                    firefox-i18n-mai               67.0-0             67.0.1-0
                     firefox-i18n-mk               67.0-0             67.0.1-0
                     firefox-i18n-ml               67.0-0             67.0.1-0
                     firefox-i18n-mr               67.0-0             67.0.1-0
                     firefox-i18n-ms               67.0-0             67.0.1-0
                     firefox-i18n-my               67.0-0             67.0.1-0
                  firefox-i18n-nb-no               67.0-0             67.0.1-0
                  firefox-i18n-ne-np               67.0-0             67.0.1-0
                     firefox-i18n-nl               67.0-0             67.0.1-0
                  firefox-i18n-nn-no               67.0-0             67.0.1-0
                     firefox-i18n-oc               67.0-0             67.0.1-0
                     firefox-i18n-or               67.0-0             67.0.1-0
                  firefox-i18n-pa-in               67.0-0             67.0.1-0
                     firefox-i18n-pl               67.0-0             67.0.1-0
                  firefox-i18n-pt-br               67.0-0             67.0.1-0
                  firefox-i18n-pt-pt               67.0-0             67.0.1-0
                     firefox-i18n-rm               67.0-0             67.0.1-0
                     firefox-i18n-ro               67.0-0             67.0.1-0
                     firefox-i18n-ru               67.0-0             67.0.1-0
                     firefox-i18n-si               67.0-0             67.0.1-0
                     firefox-i18n-sk               67.0-0             67.0.1-0
                     firefox-i18n-sl               67.0-0             67.0.1-0
                    firefox-i18n-son               67.0-0             67.0.1-0
                     firefox-i18n-sq               67.0-0             67.0.1-0
                     firefox-i18n-sr               67.0-0             67.0.1-0
                  firefox-i18n-sv-se               67.0-0             67.0.1-0
                     firefox-i18n-ta               67.0-0             67.0.1-0
                     firefox-i18n-te               67.0-0             67.0.1-0
                     firefox-i18n-th               67.0-0             67.0.1-0
                     firefox-i18n-tr               67.0-0             67.0.1-0
                     firefox-i18n-uk               67.0-0             67.0.1-0
                     firefox-i18n-ur               67.0-0             67.0.1-0
                     firefox-i18n-uz               67.0-0             67.0.1-0
                     firefox-i18n-vi               67.0-0             67.0.1-0
                     firefox-i18n-xh               67.0-0             67.0.1-0
                  firefox-i18n-zh-cn               67.0-0             67.0.1-0
                  firefox-i18n-zh-tw               67.0-0             67.0.1-0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         imagemagick         7.0.8.47-1.0         7.0.8.48-1.0
                     imagemagick-doc         7.0.8.47-1.0         7.0.8.48-1.0
                                 re2         20190401-1.0         20190601-1.0
                              strace              5.0-1.0              5.1-1.0
                              dracut                    -              049-3.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              cython           0.29.9-1.0          0.29.10-1.0
                             cython2           0.29.9-1.0          0.29.10-1.0
                          displaycal          3.8.1.0-1.0          3.8.1.1-1.0
                               gnurl           7.64.0-1.0           7.65.0-1.0
                              ledger            3.1.2-2.1            3.1.3-1.0
                                maim            5.5.2-4.0            5.5.3-1.0
                                mpop            1.4.3-1.0            1.4.4-1.0
                             notmuch           0.28.3-1.2           0.28.4-1.0
                        notmuch-mutt           0.28.3-1.2           0.28.4-1.0
                     notmuch-runtime           0.28.3-1.2           0.28.4-1.0
                         notmuch-vim           0.28.3-1.2           0.28.4-1.0
                             rtl-sdr         20180429-1.1          1:0.6.0-1.0
                            soapyuhd            0.3.4-4.0            0.3.4-5.0
                         rtl-sdr-lms                    -     r343.b459a70-1.0
                         soapyairspy                    -            0.1.2-1.0
                          soapyaudio                    -            0.1.1-1.0
                         soapyhackrf                    -            0.3.3-1.0
                         soapynetsdr                    -        r4.03134e-1.0

Kernel 4.19.48:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux419            4.19.47-2            4.19.48-1
                    linux419-headers            4.19.47-2            4.19.48-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               audit            2.8.4-3.6            2.8.5-2.0
                          libseccomp            2.4.0-1.1            2.4.1-2.0
                        python-audit            2.8.4-3.6            2.8.5-2.0
                       python2-audit            2.8.4-3.6            2.8.5-2.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  linux419-acpi_call           1.1.0-47.0             1.1.0-48
                   linux419-bbswitch             0.8-47.0               0.8-48
                linux419-broadcom-wl    6.30.223.271-47.0      6.30.223.271-48
                linux419-ndiswrapper            1.61-47.0              1.61-48
               linux419-nvidia-340xx         340.107-47.0           340.107-48
               linux419-nvidia-390xx         390.116-47.0           390.116-48
                   linux419-nvidiabl            0.88-47.0              0.88-48
                      linux419-r8168        8.047.01-47.0          8.047.01-48
                   linux419-tp_smapi            0.41-47.0              0.41-48
                linux419-vhba-module        20190410-47.0          20190410-48
   linux419-virtualbox-guest-modules           6.0.8-47.0             6.0.8-48
    linux419-virtualbox-host-modules           6.0.8-47.0             6.0.8-48
                        linux419-zfs           0.8.0-47.0             0.8.0-48


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               bftpd              5.0-1.0              5.1-1.0
                          libgphoto2           2.5.22-1.0           2.5.23-1.0
                       tomcat-native           1.2.17-1.2           1.2.21-1.0
                              quazip                    -            0.8.1-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-219.0          1.1.0-220.0
                           auditbeat            7.0.1-1.0            7.1.1-1.0
                         broadcom-wl   6.30.223.271-106.0   6.30.223.271-107.0
                                cage              0.1-3.1            0.1.1-1.0
                     deepin-terminal            3.2.5-1.0          3.2.5.1-1.0
                                 dep            0.5.0-2.0            0.5.3-1.0
                      dnscrypt-proxy           2.0.23-2.0           2.0.25-1.0
                              dosbox           0.74.2-1.2           0.74.2-2.0
                       elasticsearch            7.1.0-1.0            7.1.1-1.0
                            filebeat            7.0.1-1.0            7.1.1-1.0
                           gengetopt           2.22.6-7.1             2.23-1.0
                       gitlab-runner          11.11.0-1.0          11.11.2-1.0
                         hcxdumptool            5.1.4-1.0            5.1.5-1.0
                            hcxtools            5.1.4-1.0            5.1.6-1.0
                   heartbeat-elastic            7.0.1-1.0            7.1.1-1.0
                        intel-gmmlib           19.1.2-1.0           19.2.1-1.0
                         journalbeat            7.0.1-1.0            7.1.1-1.0
                            logstash            7.1.0-1.0            7.1.1-1.0
                          metasploit           5.0.22-1.0           5.0.26-1.0
                          metricbeat            7.0.1-1.0            7.1.1-1.0
                           miniupnpc              2.1-2.1     2.1.20190408-1.0
                          packetbeat            7.0.1-1.0            7.1.1-1.0
                            pgadmin4              4.6-1.0              4.7-1.0
                        pulseeffects            4.6.2-1.0            4.6.3-1.0
                       python-grpcio           1.21.1-1.0           1.21.1-2.0
                 python-html5-parser            0.4.6-1.0            0.4.7-1.0
                         python-ldap            3.1.0-2.5            3.2.0-1.0
                     python-m2crypto           0.30.1-2.5           0.34.0-1.0
                   python-pynormaliz              2.5-1.0              2.7-1.0
                       python-pyodbc           4.0.25-1.3           4.0.26-1.0
                        python-regex       2019.05.25-1.0       2019.06.02-1.0
                    python-typed-ast            1.3.1-1.0            1.3.5-1.0
                     python-wxpython            4.0.5-3.0            4.0.6-1.0
                python2-html5-parser            0.4.6-1.0            0.4.7-1.0
                        python2-ldap            3.1.0-2.5            3.2.0-1.0
                    python2-m2crypto           0.30.1-2.5           0.34.0-1.0
                  python2-pynormaliz              2.5-1.0              2.7-1.0
                      python2-pyodbc           4.0.25-1.3           4.0.26-1.0
                       python2-regex       2019.05.25-1.0       2019.06.02-1.0
                               scrot           0.8.18-1.2            0.9.1-1.0
                                sway              1.0-8.1            1.1.1-1.0
                          symmetrica              2.0-6.0              2.0-7.0
                    telegram-desktop            1.7.0-1.0            1.7.3-1.0
                           virtualgl            2.6.1-1.0            2.6.2-1.0
                      wireguard-dkms     0.0.20190531-1.0     0.0.20190601-1.0
                     wireguard-tools     0.0.20190531-1.0     0.0.20190601-1.0
                             wlroots            0.5.0-1.0            0.6.0-1.0
                         zam-plugins             3.10-5.2             3.11-1.0
1 Like

Whoops, forgot to snap this over yesterday:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             p11-kit          0.23.15-1.0        0.23.16.1-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            chromium                    -       75.0.3770.80-0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                        cups-filters           1.23.0-1.0           1.24.0-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              erlang           22.0.1-1.0           22.0.2-1.0
                     erlang-unixodbc           22.0.1-1.0           22.0.2-1.0
                               slurp            1.1.0-1.0            1.2.0-1.0
                        prusa-slicer                    -            2.0.0-2.0